SND_MALLOC_PAGES(9)

NAME
snd_malloc_pages - allocate pages with the given size

SYNOPSIS

void * snd_malloc_pages(size_t size, gfp_t gfp_flags);

ARGUMENTS

size
    the size to allocate in bytes

gfp_flags
    the allocation conditions, GFP_XXX

DESCRIPTION

Allocates the physically contiguous pages with the given size.

RETURN

The pointer of the buffer, or NULL if no enough memory.

COPYRIGHT